Subject: Re: [bmwg] New Charter Paragraphs

From: "Lucien Avramov (lavramov)" <[email-masked]>
Date: Sun, 13 Apr 2014 23:53:49 -0700

Hello BMWG!

Suggesting some edits for the DC portion of the charter to include the 
benchmarking we have been talking and presenting at IEFT for the last 
year with Jacob Rapp:

Data Center:

-Bridging
Some key concepts from BMWG's past work are not meaningful when testing
     switches that implement new IEEE specifications in the area of data
     center bridging. For example, throughput as defined in RFC 1242 
cannot be measured when testing devices that implement three new IEEE
     specifications: priority-based flow control (802.1Qbb); priority groups
     (802.1Qaz); and congestion notification (802.1Qau).
     Since devices that implement these new congestion-management
     specifications should never drop frames, and since the metric of
     throughput distinguishes between non-zero and zero drop rates, no
     throughput measurement is possible using the existing methodology.
     The current emphasis is on the Priority Flow Control aspects of
     Data Center Bridging, and the work will include an investigation
     into whether TRILL RBridges require any specific treatment in the
     methodology. This work will update RFC 2544 and exchange periodic
     Liaisons with IEEE 802.1 DCB Task Group, especially at WG Last Call.

-Benchmarking Data Center DUT:
The purpose of this informational document is to establish definitions,
discussion and measurement techniques specific to data center 
environments. It is also to introduce definition terminologies 
applicable to data center performance evaluations. With these 
established, a methodology and measurement techniques for network 
equipement in the data center are covered. This includes data center 
specific congestion scenarios, switch buffer analysis, microburst,
head of line blocking, while also using a wide mix of traffic 
conditions. This complements the existing benchmarking RFCs by 
specifying data center centric benchmarking.

Cheers,
Lucien

On 3/27/14, 12:53 PM, MORTON, ALFRED C (AL) wrote:
> BMWG,
>
> As we close in on the re-charter text, we decided at our IETF-89 session
> to keep Datacenter and VNF paragraphs separate.
>
> To that end, we already have a Datacenter-oriented paragraph in our charter,
> but it needs editing -- please make suggestions!
>
> * Data Center Bridging Devices:
>      Some key concepts from BMWG's past work are not meaningful when testing
>      switches that implement new IEEE specifications in the area of data
>      center bridging. For example, throughput as defined in RFC 1242 cannot
>      be measured when testing devices that implement three new IEEE
>      specifications: priority-based flow control (802.1Qbb); priority groups
>      (802.1Qaz); and congestion notification (802.1Qau).
>      Since devices that implement these new congestion-management
>      specifications should never drop frames, and since the metric of
>      throughput distinguishes between non-zero and zero drop rates, no
>      throughput measurement is possible using the existing methodology.
>      The current emphasis is on the Priority Flow Control aspects of
>      Data Center Bridging, and the work will include an investigation
>      into whether TRILL RBridges require any specific treatment in the
>      methodology. This work will update RFC 2544 and exchange periodic
>      Liaisons with IEEE 802.1 DCB Task Group, especially at WG Last Call.
>
>
> Also, here's the (slightly modified) text for VNF activity:
>
> * VNF and related Infrastructure Benchmarking
>
> Benchmarking Methodologies have reliably characterized many physical devices.
> This work item extends and enhances the methods to virtual network functions (VNF)
> and their unique supporting infrastructure. First, the new task space will be
> considered to ensure that common issues are considered  from the start.
> Virtual routers, switches and platform capacity and performance characteristics
> will follow, including comparisons between physical and virtual functions.
>
> Finally, I'll leave it to the authors to say more, but I noticed a new draft
> on our tools page:
>
> http://tools.ietf.org/html/draft-bhuvan-bmwg-of-controller-benchmarking-00
>
> take a look, is this something we should consider including on our ride?
>
> Comments by April 14th, please.
>
> regards,
> Al/Sarah
> bmwg co-chairs
>
> _______________________________________________
> bmwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bmwg
>

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Fri, 18 Apr 2014 12:36:35 -0400

How about this combined version?

Data Center Benchmarking:

This work will define additional terms, benchmarks, and methods 
applicable to data center performance evaluations. This includes data center 
specific congestion scenarios, switch buffer analysis, microburst,
head of line blocking, while also using a wide mix of traffic 
conditions. Some aspects from BMWG's past work are not meaningful when testing
switches that implement new IEEE specifications in the area of data
center bridging. For example, throughput as defined in RFC 1242 
cannot be measured when testing devices that implement three new IEEE
specifications: priority-based flow control (802.1Qbb); priority groups
(802.1Qaz); and congestion notification (802.1Qau).
This work will update RFC 2544 and exchange periodic
Liaisons with relevant SDOs, especially at WG Last Call.

________________________________________
From: Lucien Avramov (lavramov) [[email-masked]]
Sent: Monday, April 14, 2014 2:53 AM
To: MORTON, ALFRED C (AL); [email-masked]
Subject: Re: [bmwg] New Charter Paragraphs

Hello BMWG!

Data Center:

-Bridging

Cheers,
Lucien

---

From: "Lucien Avramov (lavramov)" <[email-masked]>
Date: Tue, 22 Apr 2014 23:32:51 -0700

Hi Al,

This looks good to me, I think we should not restrict the charter to 
only update 2544, I would extend this to : RFC1242, RFC2432, RFC2544, 
RFC2889 and RFC3918 as per our drafts for the data center benchmarking 
mention in the abstract sections:

http://www.ietf.org/internet-drafts/draft-dcbench-def-01.txt
http://www.ietf.org/id/draft-bmwg-dcbench-methodology-02.txt

Cheers,
Lucien